unit uBizDetallesPedidoProveedor;

interface

uses
  uDADataTable, schPedidosProveedorClient_Intf;

const
  BIZ_CLIENT_DETALLES_PEDIDO_PROVEEDOR = 'Client.DetallesPedido.Proveedor';


type
  IBizDetallesPedidoProveedor = interface(IPedidosProveedor_Detalles)
  ['{7D8074D4-BFE8-4AB0-9126-787E36DC03C4}']
  end;

  TBizDetallesPedidoProveedor = class(TPedidosProveedor_DetallesDataTableRules, IBizDetallesPedidoProveedor)
  private
    ContIdAux: Integer;
  protected
    procedure OnNewRecord(Sender: TDADataTable); override;
  public
    constructor Create(aDataTable: TDADataTable); override;
  end;

implementation

{ TBizDetallesPedidoProveedor }

uses
  uDataTableUtils;


constructor TBizDetallesPedidoProveedor.Create(aDataTable: TDADataTable);
begin
  inherited Create(aDataTable);
  ContIdAux := -1;
end;

procedure TBizDetallesPedidoProveedor.OnNewRecord(Sender: TDADataTable);
begin
  inherited;
  ID := ContIdAux; // -1, -2, -3...
  Dec(ContIdAux);
end;

initialization
  RegisterDataTableRules(BIZ_CLIENT_DETALLES_PEDIDO_PROVEEDOR, TBizDetallesPedidoProveedor);

end.
